/*---------------------------------------------------------------------------*\
  =========                 |
  \\      /  F ield         | OpenFOAM: The Open Source CFD Toolbox
   \\    /   O peration     |
    \\  /    A nd           | Copyright (C) 1991-2010 OpenCFD Ltd.
     \\/     M anipulation  |
-------------------------------------------------------------------------------
License
    This file is part of OpenFOAM.

    OpenFOAM is free software: you can redistribute it and/or modify it
    under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    OpenFOAM is distributed in the hope that it will be useful, but WITHOUT
    ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
    FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
    for more details.

    You should have received a copy of the GNU General Public License
    along with OpenFOAM.  If not, see <http://www.gnu.org/licenses/>.

InClass
    Foam::basicMixture

\*---------------------------------------------------------------------------*/

#ifndef makeBasicMixture_H
#define makeBasicMixture_H

#include "basicMixture.H"

// * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * //

#define makeBasicMixture(Mixture,Transport,Thermo,EqnOfState)                 \
                                                                              \
typedef Mixture<Transport<specieThermo<Thermo<EqnOfState> > > >               \
    Mixture##Transport##Thermo##EqnOfState;                                   \
                                                                              \
defineTemplateTypeNameAndDebugWithName                                        \
    (Mixture##Transport##Thermo##EqnOfState,                                  \
    #Mixture"<"#Transport"<specieThermo<"#Thermo"<"#EqnOfState">>>>", 0)


#define makeBasicPolyMixture(Mixture,Order)                                   \
                                                                              \
typedef polynomialTransport                                                   \
<                                                                             \
    specieThermo                                                              \
    <                                                                         \
        hPolynomialThermo                                                     \
        <                                                                     \
            icoPolynomial<Order>,                                             \
            Order                                                             \
            >                                                                 \
    >,                                                                        \
    Order                                                                     \
> icoPoly##Order##ThermoPhysics;                                              \
                                                                              \
typedef Mixture<icoPoly##Order##ThermoPhysics>                                \
    Mixture##icoPoly##Order##ThermoPhysics;                                   \
                                                                              \
defineTemplateTypeNameAndDebugWithName                                        \
    (Mixture##icoPoly##Order##ThermoPhysics,                                  \
    #Mixture"<icoPoly"#Order"ThermoPhysics>", 0)


// * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * //

#endif

// ************************ vim: set sw=4 sts=4 et: ************************ //
