/*---------------------------------------------------------------------------*\
  =========                 |
  \\      /  F ield         | OpenFOAM: The Open Source CFD Toolbox
   \\    /   O peration     |
    \\  /    A nd           | Copyright (C) 2008-2010 OpenCFD Ltd.
     \\/     M anipulation  |
-------------------------------------------------------------------------------
License
    This file is part of OpenFOAM.

    OpenFOAM is free software: you can redistribute it and/or modify it
    under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    OpenFOAM is distributed in the hope that it will be useful, but WITHOUT
    ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
    FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
    for more details.

    You should have received a copy of the GNU General Public License
    along with OpenFOAM.  If not, see <http://www.gnu.org/licenses/>.

Description
    Reacting multiphase cloud templated on the type of carrier phase
    thermodynamics

\*---------------------------------------------------------------------------*/

#ifndef BasicReactingMultiphaseCloud_H
#define BasicReactingMultiphaseCloud_H

#include <lagrangianIntermediate/ReactingMultiphaseCloud_.H>
#include <lagrangianIntermediate/BasicReactingMultiphaseParcel.H>
#include <specie/thermoPhysicsTypes.H>

// * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * //

namespace Foam
{
    typedef ReactingMultiphaseCloud
        <
            BasicReactingMultiphaseParcel
            <
                constGasThermoPhysics
            >
        >
        constThermoReactingMultiphaseCloud;

    typedef ReactingMultiphaseCloud
        <
            BasicReactingMultiphaseParcel
            <
                gasThermoPhysics
            >
        >
        thermoReactingMultiphaseCloud;

    typedef ReactingMultiphaseCloud
        <
            BasicReactingMultiphaseParcel
            <
                icoPoly8ThermoPhysics
            >
        >
        icoPoly8ThermoReactingMultiphaseCloud;
}

// * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * //

#endif

// ************************ vim: set sw=4 sts=4 et: ************************ //
