/*---------------------------------------------------------------------------*\
  =========                 |
  \\      /  F ield         | OpenFOAM: The Open Source CFD Toolbox
   \\    /   O peration     |
    \\  /    A nd           | Copyright (C) 1991-2010 OpenCFD Ltd.
     \\/     M anipulation  |
-------------------------------------------------------------------------------
License
    This file is part of OpenFOAM.

    OpenFOAM is free software: you can redistribute it and/or modify it
    under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    OpenFOAM is distributed in the hope that it will be useful, but WITHOUT
    ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
    FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
    for more details.

    You should have received a copy of the GNU General Public License
    along with OpenFOAM.  If not, see <http://www.gnu.org/licenses/>.

Global
    polyMeshZipUpCells

Description
    Cell zip-up tool. This function modifies the list of faces such that all
    the cells are topologically closed. Note that, while this operation is
    perfectly sensible for correct meshes, it may lead to arbitrary errors if
    the mesh is originally broken.

SourceFiles
    polyMeshZipUpCells.C

\*---------------------------------------------------------------------------*/

#ifndef polyMeshZipUpCells_H
#define polyMeshZipUpCells_H

// * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * //

namespace Foam
{

class polyMesh;

//- Cell zip-up tool.
// This function modifies the list of faces such that all the cells are
// topologically closed. Note that, while this operation is perfectly sensible
// for correct meshes, it may lead to arbitrary errors if the mesh is
// originally broken.
bool polyMeshZipUpCells(polyMesh& mesh);

// * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * //

} // End namespace Foam

// * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * //

#endif

// ************************ vim: set sw=4 sts=4 et: ************************ //
